Pale Moon blocks Adblock Plus

download mod apk

Users of the Pale Moon web browser who try to install the popular adblocking extension Adblock Plus won’t be able to do so anymore as it was added to the blocklist by the Pale Moon team.

Pale Moon users who have it installed may have noticed that it is no longer enabled either.

Up until now, Pale Moon copied the blocklist from Firefox. It contains extensions, plugins and other contents with known severe security or stability issues.

When you try to install Adblock Plus in Pale Moon you receive the message that the extension could not be installed because of having a high risk of causing stability or security problems.

mod apk

pale moon adblock plus

Further investigation — the Pale Moon forum is usually a good place to start — reveals that the team decided to add Adblock Plus to the blocklist because of incompatibilities with Pale Moon.

I’ve put it in the blocklist because it has started giving severe usability issues (see the threads with “large bar with red text at the bottom of the browser” etc.). ABP should not be used on any v25+ version of Pale Moon because it’s not compatible.

The compatibility issues seem to be mostly interface related when Adblock Plus is running in Pale Moon.

Moonchild, the lead developer of Pale Moon suggests to use an alternative such as uBlock, uBlock Origin or Adblock Latitude instead. The latter is a fork of Adblock Plus that is developed and maintained specifically for Pale Moon.

Wladimir Palant’s response suggests a personal conflict between both teams and sheds some light on the technical incompatibility:

Technical background (at least I assume that it’s what this is about): Adblock Plus 2.6.10 stopped using the deprecated JavaScript generators syntax that only Firefox supports. Instead the proper standard-compliant syntax is being used – Firefox 29 and higher supports it, Pale Moon most likely doesn’t (they forked a version of Firefox which is very old by now).

The most recent Adblock Plus update is also incompatible with Firefox versions prior to 29 due to the extension’s support of “standard-conformant JavaScript generators syntax”. This means that pre-Firefox 29 users won’t be able to use Adblock Plus as well.

Pale Moon users may need to switch to a different ad blocker instead. While there are other solutions — disabling the blocklist for instance — it is not suggested to make use of those as it puts the browser at serious risk.


Article Name

Pale Moon blocks Adblock Plus


Martin Brinkmann


The Pale Moon team has added Adblock Plus to the global blocklist to prevent its installation in the browser.

About Martin Brinkmann

Martin Brinkmann is a journalist from Germany who founded Ghacks Technology News Back in 2005. He is passionate about all things tech and knows the Internet and computers like the back of his hand. You can follow Martin on Facebook, Twitter or Google+

This entry passed through the Full-Text RSS service – if this is your content and you’re reading it on someone else’s site, please read the FAQ at